MouseState
Date: 2019-10-22

org.jmol.viewer

## Class MouseState

- java.lang.Object
- - org.jmol.viewer.MouseState

-     public class MouseState
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `MIN_DELAY_MS`
    `(package private) int` | `modifiers`
    `java.lang.String` | `name`
    `long` | `time`
    `int` | `x`
    `int` | `y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MouseState(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `check(int xyRange, int x, int y, int modifiers, long time, long delayMax)`
    `boolean` | `inRange(int xyRange, int x, int y)`
    `boolean` | `is(MouseState current)`
    `(package private) void` | `set(long time, int x, int y, int modifiers)`
    `(package private) void` | `setCurrent(MouseState current, int clickCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public int x

    - #### y

          public int y

    - #### modifiers

          int modifiers

    - #### time

          public long time

    - #### name

          public java.lang.String name

    - #### MIN_DELAY_MS

          private static final int MIN_DELAY_MS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MouseState

          MouseState(java.lang.String name)

  - ### Method Detail

    - #### set

          void set(long time,
                   int x,
                   int y,
                   int modifiers)

    - #### setCurrent

          void setCurrent(MouseState current,
                          int clickCount)

      Parameters:
        `current` -
        `clickCount` -

    - #### inRange

          public boolean inRange(int xyRange,
                                 int x,
                                 int y)

    - #### check

          public boolean check(int xyRange,
                               int x,
                               int y,
                               int modifiers,
                               long time,
                               long delayMax)

    - #### is

          public boolean is(MouseState current)